---

- name: Prepare instance container
  hosts: instance
  tasks:
    - name: Install needed packages
      package:
        name:
          - openssl

    - name: Create needed Certificates
      command: /certs/createCA.sh
      args:
        chdir: /certs
        creates: /certs/ca/cert.pem

    - name: Copy needed ca certificate
      copy:
        src: /certs/ca/cert.pem
        dest: /etc/pki/ca-trust/source/anchors/
        remote_src: True

    - name: Update CA Certificates
      command: update-ca-trust
...
